//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: September 15 2013
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html   
//
// The hanging chain pov-file was generated with the mkcoshyp.c 
// program found in the package sspov1.zip.
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//
                                          
#version 3.6                      

#include "colors.inc"
#include "shapes.inc" 


camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}                     



light_source { <0.0, 20.0, -160.0> color rgb 0.50}


sky_sphere { pigment {rgb <0.6, 0.6, 0.6>} }



#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}



// Start of computer generated code.   

#declare s1 = sphere {
   <0.0, 0.0,  -0.27898919538513>,   0.27898919538513
}


#declare c1 = cylinder {
    -0.27898919538513*z, 1.20*z,   0.27898919538513
}


#declare l3 = union {
   object { c1 }
   object { s1 }
   texture { steeltexture }
}


#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0
}


#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}


#declare link = union {
   object { l1
      translate -2.0*x
   }
   object { l1
      translate 2.0*x
   }
   object { l2
      translate 2.0*z
   }
   object { l2
      translate 2.0*z
      rotate 180*x
   }
   rotate 90*x
   scale   0.27898919538513
   texture { steeltexture }
}


union {


   object { l3
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }


   object { l3
      translate   3.99999999999998*x
      translate   7.52439138216718*y
   }


   object { link
      translate  -0.55797839077025*y
      rotate  16.65415605867466*z
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -1.11595678154050*y
      rotate  21.93493969726403*z
      translate  -3.68253254282635*x
      translate   6.46313288504495*y
   }
   object { link
      translate  -0.55797839077025*y
      rotate  30.82720539699098*z
      translate  -2.85494322642487*x
      translate   4.40806192284138*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -1.11595678154050*y
      rotate  51.48323932978616*z
      translate  -2.28728869959048*x
      translate   3.45683980249149*y
   }
   object { link
      translate  -0.55797839077025*y
      rotate  89.99999999999919*z
      translate  -0.55386261475176*x
      translate   2.07718232879926*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -1.11595678154050*y
      rotate 128.51676067021285*z
      translate   0.55386261475171*x
      translate   2.07718232879924*y
   }
   object { link
      translate  -0.55797839077025*y
      rotate 149.17279460300847*z
      translate   2.28728869959045*x
      translate   3.45683980249144*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -1.11595678154050*y
      rotate 158.06506030273567*z
      translate   2.85494322642484*x
      translate   4.40806192284130*y
   }
   object { link
      translate  -0.55797839077025*y
      rotate 163.34584394132517*z
      translate   3.68253254282632*x
      translate   6.46313288504488*y
   }


   scale   1.70000000000000
   translate  -9.25000000000000*y
   translate   4.00000000000000*z


}



