//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: September 15 2013
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// The hanging chain pov-file was generated with the mkcoshyp.c 
// program found in the package sspov1.zip.
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//
                                          
#version 3.6  


#include "colors.inc"
#include "shapes.inc"


camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}                     



light_source { <0.0, 20.0, -160.0> color rgb 0.50}


sky_sphere { pigment {rgb <0.6, 0.6, 0.6>} }



#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}



// Start of computer generated code.

#declare s1 = sphere {
   <0.0, 0.0,  -0.16485725181848>,   0.16485725181848
}


#declare c1 = cylinder {
    -0.16485725181848*z, 1.2*z,   0.16485725181848
}


#declare l3 = union {
   object { c1 }
   object { s1 }
   texture { steeltexture }
}


#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0
}


#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}


#declare link = union {
   object { l1
      translate -2.0*x
   }
   object { l1
      translate 2.0*x
   }
   object { l2
      translate 2.0*z
   }
   object { l2
      translate 2.0*z
      rotate 180*x
   }
   rotate 90*x
   scale   0.16485725181848
   texture { steeltexture }
}


union {


   object { l3
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }


   object { l3
      translate   4.00000000000001*x
      translate   7.52439138216730*y
   }


   object { link
      translate  -0.32971450363697*y
      rotate  16.11981604119332*z
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate  18.67625046957070*z
      translate  -3.81745828489106*x
      translate   6.89278073099682*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate  22.01656051123459*z
      translate  -3.39639423651108*x
      translate   5.64710058068974*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate  26.93327895189557*z
      translate  -3.14992924922539*x
      translate   5.03758560756019*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate  33.95256815894557*z
      translate  -2.55433290860457*x
      translate   3.86528915668000*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate  45.67485501076688*z
      translate  -2.18713735848054*x
      translate   3.31992604792041*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate  63.62108586383621*z
      translate  -1.24646196707827*x
      translate   2.40115307393970*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate  90.00000000000159*z
      translate  -0.65745987894831*x
      translate   2.10904002629320*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate 116.37891413616634*z
      translate   0.65745987894841*x
      translate   2.10904002629324*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate 134.32514498923459*z
      translate   1.24646196707836*x
      translate   2.40115307393976*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate 146.04743184105507*z
      translate   2.18713735848059*x
      translate   3.31992604792048*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate 153.06672104810465*z
      translate   2.55433290860459*x
      translate   3.86528915668004*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate 157.98343948876555*z
      translate   3.14992924922540*x
      translate   5.03758560756022*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.65942900727393*y
      rotate 161.32374953042938*z
      translate   3.39639423651110*x
      translate   5.64710058068977*y
   }
   object { link
      translate  -0.32971450363697*y
      rotate 163.88018395880678*z
      translate   3.81745828489108*x
      translate   6.89278073099685*y
   }


   scale   1.70000000000000
   translate  -9.25000000000000*y
   translate   4.00000000000000*z


}
